
Foreman - Bug #6674

Can't create a host via the API because params aren't correctly wrapped

07/17/2014 02:02 PM - David Davis

Status: Duplicate   

Priority: Normal   

Assignee: Thomas McKay   

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1120800 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1597

  

Description

When I try the following curl command, I get "Name can't be blank":

$ curl -k -u admin:changeme -H "Content-Type: application/json" -X POST http://localhost:3000/api/

v2/hosts -d '{"name": "TEST"}'

 It looks like the name param is getting wrapped in params[:base] instead of params[:host].

Related issues:

Related to Foreman - Bug #5178: Users API requires parameters to be wrapped Closed 04/14/2014

Is duplicate of Foreman - Bug #6696: API v2 - specify the key in which the pa... Closed 07/20/2014

History

#1 - 07/17/2014 02:03 PM - Thomas McKay

- Bugzilla link set to 1120800

#2 - 07/17/2014 02:05 PM - Thomas McKay

- Assignee set to Thomas McKay

#3 - 07/17/2014 02:10 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/1597 added

- Pull request deleted ()

#4 - 07/18/2014 07:43 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Rejected

As explained in:

https://github.com/theforeman/foreman/pull/1597#issuecomment-49421858

API POST calls need to receive a wrapped object in a key with the name of the resource you want to create, it's the standard behavior in all POST

calls in api/v2

http://theforeman.org/api_v2.html

#5 - 07/18/2014 07:59 AM - David Davis

- Status changed from Rejected to Assigned

Please see the following bug:
https://github.com/theforeman/foreman/pull/1597#issuecomment-49421858
http://theforeman.org/api_v2.html


http://projects.theforeman.org/issues/4181

The API accepts wrapped or unwrapped. The issue here is that when you send unwrapped params, it wraps it in the wrong root node (base instead of

host).

#6 - 07/18/2014 08:16 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

#7 - 07/21/2014 04:49 AM - Joseph Magen

- Status changed from Ready For Testing to Duplicate

duplicate. fixed in http://projects.theforeman.org/issues/6696

#8 - 07/21/2014 04:49 AM - Dominic Cleal

- Related to Bug #5178: Users API requires parameters to be wrapped added

#9 - 07/21/2014 04:54 AM - Dominic Cleal

- Target version deleted (1.8.0)

#10 - 07/21/2014 04:55 AM - Dominic Cleal

- Is duplicate of Bug #6696: API v2 - specify the key in which the parameters would be wrapped rather than passing model name added
